Go to the latest version of this document.

# ``twisted`.`conch`.`ssh`.`session``

module documentation
(source)

This module contains the implementation of SSHSession, which (by default) allows access to a shell and a python interpreter over SSH.

Maintainer: Paul Swartz

Class | `SSHSession` | A generalized implementation of an SSH session.
Class | `SSHSessionClient` | Undocumented
Class | `SSHSessionProcessProtocol` | I am both an `IProcessProtocol` and an `ITransport`.
Function | `packRequest_pty_req` | Pack a pty-req request so that it is suitable for sending.
Function | `packRequest_window_change` | Pack a window-change request so that it is suitable for sending.
Function | `parseRequest_pty_req` | Parse the data from a pty-req request into usable data.
Function | `parseRequest_window_change` | Parse the data from a window-change request into usuable data.
Function | `wrapProcessProtocol` | Undocumented
Function | `wrapProtocol` | Undocumented
Constant | `SUPPORTED_SIGNALS` | Undocumented
Variable | `log` | Undocumented
Class | `_DummyTransport` | Undocumented
Class | `_ProtocolWrapper` | This class wraps a `Protocol` instance in a `ProcessProtocol` instance.

def packRequest_pty_req(term, geometry, modes): (source)

Pack a pty-req request so that it is suitable for sending.

NOTE: modes must be packed before being sent here.

Parameters
term | Undocumented
geometry:`tuple` | A tuple of (rows, columns, xpixel, ypixel)
modes | Undocumented

def packRequest_window_change(geometry): (source)

Pack a window-change request so that it is suitable for sending.

Parameters
geometry:`tuple` | A tuple of (rows, columns, xpixel, ypixel)

def parseRequest_pty_req(data): (source)

Parse the data from a pty-req request into usable data.

Returns
a tuple of (terminal type, (rows, cols, xpixel, ypixel), modes)

def parseRequest_window_change(data): (source)

Parse the data from a window-change request into usuable data.

Returns
a tuple of (rows, cols, xpixel, ypixel)

def wrapProcessProtocol(inst): (source)

Undocumented

def wrapProtocol(proto): (source)

Undocumented

SUPPORTED_SIGNALS: `list[str]` = (source)

Undocumented

Value

    ['ABRT',
     'ALRM',
     'FPE',
     'HUP',
     'ILL',
     'INT',
     'KILL',
    ...

log = (source)

Undocumented